org.apache.cassandra.index.sasi.disk

## Class OnDiskIndex.Level<T extends OnDiskBlock>

- java.lang.Object
- - org.apache.cassandra.index.sasi.disk.OnDiskIndex.Level<T>

Direct Known Subclasses:
  OnDiskIndex.DataLevel, OnDiskIndex.PointerLevel

Enclosing class:
  OnDiskIndex

    protected abstract class OnDiskIndex.Level<T extends OnDiskBlock>
    extends java.lang.Object

### Field Summary

Fields
`protected int` `blockCount`
`protected long` `blockOffsets`

### Constructor Summary

Constructors
Constructor and Description
`Level(long offsets, int count)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract T` `cast(MappedBuffer block)`
`T` `getBlock(int idx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### blockOffsets

    protected final long blockOffsets

#### blockCount

    protected final int blockCount

### Constructor Detail

#### Level

    public Level(long offsets,
                 int count)

### Method Detail

#### getBlock

    public T getBlock(int idx)
               throws FSReadError

Throws:
  `FSReadError`

#### cast

    protected abstract T cast(MappedBuffer block)